IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:c100::/72- First address
2001:db8:0:0:c100::- Last address
2001:db8::c1ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:c100:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
1.c.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:c100::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:c100::/80 | 2001:db8::c100:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:c101::/80 | 2001:db8::c101:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:c102::/80 | 2001:db8::c102:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:c103::/80 | 2001:db8::c103:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:c104::/80 | 2001:db8::c104:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:c105::/80 | 2001:db8::c105:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:c106::/80 | 2001:db8::c106:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:c107::/80 | 2001:db8::c107:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:c108::/80 | 2001:db8::c108:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:c109::/80 | 2001:db8::c109:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:c10a::/80 | 2001:db8::c10a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:c10b::/80 | 2001:db8::c10b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:c10c::/80 | 2001:db8::c10c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:c10d::/80 | 2001:db8::c10d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:c10e::/80 | 2001:db8::c10e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:c10f::/80 | 2001:db8::c10f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:c110::/80 | 2001:db8::c110:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:c111::/80 | 2001:db8::c111:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:c112::/80 | 2001:db8::c112:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:c113::/80 | 2001:db8::c113:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:c114::/80 | 2001:db8::c114:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:c115::/80 | 2001:db8::c115:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:c116::/80 | 2001:db8::c116:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:c117::/80 | 2001:db8::c117:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:c118::/80 | 2001:db8::c118:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:c119::/80 | 2001:db8::c119:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:c11a::/80 | 2001:db8::c11a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:c11b::/80 | 2001:db8::c11b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:c11c::/80 | 2001:db8::c11c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:c11d::/80 | 2001:db8::c11d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:c11e::/80 | 2001:db8::c11e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:c11f::/80 | 2001:db8::c11f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:c120::/80 | 2001:db8::c120:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:c121::/80 | 2001:db8::c121:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:c122::/80 | 2001:db8::c122:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:c123::/80 | 2001:db8::c123:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:c124::/80 | 2001:db8::c124:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:c125::/80 | 2001:db8::c125:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:c126::/80 | 2001:db8::c126:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:c127::/80 | 2001:db8::c127:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:c128::/80 | 2001:db8::c128:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:c129::/80 | 2001:db8::c129:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:c12a::/80 | 2001:db8::c12a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:c12b::/80 | 2001:db8::c12b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:c12c::/80 | 2001:db8::c12c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:c12d::/80 | 2001:db8::c12d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:c12e::/80 | 2001:db8::c12e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:c12f::/80 | 2001:db8::c12f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:c130::/80 | 2001:db8::c130:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:c131::/80 | 2001:db8::c131:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:c132::/80 | 2001:db8::c132:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:c133::/80 | 2001:db8::c133:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:c134::/80 | 2001:db8::c134:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:c135::/80 | 2001:db8::c135:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:c136::/80 | 2001:db8::c136:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:c137::/80 | 2001:db8::c137:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:c138::/80 | 2001:db8::c138:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:c139::/80 | 2001:db8::c139:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:c13a::/80 | 2001:db8::c13a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:c13b::/80 | 2001:db8::c13b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:c13c::/80 | 2001:db8::c13c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:c13d::/80 | 2001:db8::c13d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:c13e::/80 | 2001:db8::c13e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:c13f::/80 | 2001:db8::c13f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:c140::/80 | 2001:db8::c140:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:c141::/80 | 2001:db8::c141:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:c142::/80 | 2001:db8::c142:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:c143::/80 | 2001:db8::c143:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:c144::/80 | 2001:db8::c144:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:c145::/80 | 2001:db8::c145:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:c146::/80 | 2001:db8::c146:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:c147::/80 | 2001:db8::c147:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:c148::/80 | 2001:db8::c148:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:c149::/80 | 2001:db8::c149:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:c14a::/80 | 2001:db8::c14a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:c14b::/80 | 2001:db8::c14b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:c14c::/80 | 2001:db8::c14c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:c14d::/80 | 2001:db8::c14d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:c14e::/80 | 2001:db8::c14e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:c14f::/80 | 2001:db8::c14f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:c150::/80 | 2001:db8::c150:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:c151::/80 | 2001:db8::c151:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:c152::/80 | 2001:db8::c152:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:c153::/80 | 2001:db8::c153:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:c154::/80 | 2001:db8::c154:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:c155::/80 | 2001:db8::c155:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:c156::/80 | 2001:db8::c156:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:c157::/80 | 2001:db8::c157:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:c158::/80 | 2001:db8::c158:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:c159::/80 | 2001:db8::c159:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:c15a::/80 | 2001:db8::c15a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:c15b::/80 | 2001:db8::c15b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:c15c::/80 | 2001:db8::c15c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:c15d::/80 | 2001:db8::c15d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:c15e::/80 | 2001:db8::c15e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:c15f::/80 | 2001:db8::c15f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:c160::/80 | 2001:db8::c160:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:c161::/80 | 2001:db8::c161:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:c162::/80 | 2001:db8::c162:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:c163::/80 | 2001:db8::c163:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:c164::/80 | 2001:db8::c164:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:c165::/80 | 2001:db8::c165:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:c166::/80 | 2001:db8::c166:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:c167::/80 | 2001:db8::c167:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:c168::/80 | 2001:db8::c168:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:c169::/80 | 2001:db8::c169:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:c16a::/80 | 2001:db8::c16a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:c16b::/80 | 2001:db8::c16b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:c16c::/80 | 2001:db8::c16c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:c16d::/80 | 2001:db8::c16d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:c16e::/80 | 2001:db8::c16e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:c16f::/80 | 2001:db8::c16f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:c170::/80 | 2001:db8::c170:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:c171::/80 | 2001:db8::c171:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:c172::/80 | 2001:db8::c172:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:c173::/80 | 2001:db8::c173:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:c174::/80 | 2001:db8::c174:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:c175::/80 | 2001:db8::c175:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:c176::/80 | 2001:db8::c176:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:c177::/80 | 2001:db8::c177:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:c178::/80 | 2001:db8::c178:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:c179::/80 | 2001:db8::c179:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:c17a::/80 | 2001:db8::c17a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:c17b::/80 | 2001:db8::c17b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:c17c::/80 | 2001:db8::c17c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:c17d::/80 | 2001:db8::c17d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:c17e::/80 | 2001:db8::c17e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:c17f::/80 | 2001:db8::c17f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:c180::/80 | 2001:db8::c180:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:c181::/80 | 2001:db8::c181:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:c182::/80 | 2001:db8::c182:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:c183::/80 | 2001:db8::c183:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:c184::/80 | 2001:db8::c184:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:c185::/80 | 2001:db8::c185:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:c186::/80 | 2001:db8::c186:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:c187::/80 | 2001:db8::c187:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:c188::/80 | 2001:db8::c188:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:c189::/80 | 2001:db8::c189:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:c18a::/80 | 2001:db8::c18a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:c18b::/80 | 2001:db8::c18b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:c18c::/80 | 2001:db8::c18c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:c18d::/80 | 2001:db8::c18d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:c18e::/80 | 2001:db8::c18e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:c18f::/80 | 2001:db8::c18f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:c190::/80 | 2001:db8::c190:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:c191::/80 | 2001:db8::c191:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:c192::/80 | 2001:db8::c192:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:c193::/80 | 2001:db8::c193:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:c194::/80 | 2001:db8::c194:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:c195::/80 | 2001:db8::c195:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:c196::/80 | 2001:db8::c196:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:c197::/80 | 2001:db8::c197:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:c198::/80 | 2001:db8::c198:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:c199::/80 | 2001:db8::c199:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:c19a::/80 | 2001:db8::c19a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:c19b::/80 | 2001:db8::c19b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:c19c::/80 | 2001:db8::c19c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:c19d::/80 | 2001:db8::c19d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:c19e::/80 | 2001:db8::c19e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:c19f::/80 | 2001:db8::c19f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:c1a0::/80 | 2001:db8::c1a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:c1a1::/80 | 2001:db8::c1a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:c1a2::/80 | 2001:db8::c1a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:c1a3::/80 | 2001:db8::c1a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:c1a4::/80 | 2001:db8::c1a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:c1a5::/80 | 2001:db8::c1a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:c1a6::/80 | 2001:db8::c1a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:c1a7::/80 | 2001:db8::c1a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:c1a8::/80 | 2001:db8::c1a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:c1a9::/80 | 2001:db8::c1a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:c1aa::/80 | 2001:db8::c1aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:c1ab::/80 | 2001:db8::c1ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:c1ac::/80 | 2001:db8::c1ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:c1ad::/80 | 2001:db8::c1ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:c1ae::/80 | 2001:db8::c1ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:c1af::/80 | 2001:db8::c1af:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:c1b0::/80 | 2001:db8::c1b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:c1b1::/80 | 2001:db8::c1b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:c1b2::/80 | 2001:db8::c1b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:c1b3::/80 | 2001:db8::c1b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:c1b4::/80 | 2001:db8::c1b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:c1b5::/80 | 2001:db8::c1b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:c1b6::/80 | 2001:db8::c1b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:c1b7::/80 | 2001:db8::c1b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:c1b8::/80 | 2001:db8::c1b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:c1b9::/80 | 2001:db8::c1b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:c1ba::/80 | 2001:db8::c1ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:c1bb::/80 | 2001:db8::c1bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:c1bc::/80 | 2001:db8::c1bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:c1bd::/80 | 2001:db8::c1bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:c1be::/80 | 2001:db8::c1be:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:c1bf::/80 | 2001:db8::c1bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:c1c0::/80 | 2001:db8::c1c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:c1c1::/80 | 2001:db8::c1c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:c1c2::/80 | 2001:db8::c1c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:c1c3::/80 | 2001:db8::c1c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:c1c4::/80 | 2001:db8::c1c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:c1c5::/80 | 2001:db8::c1c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:c1c6::/80 | 2001:db8::c1c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:c1c7::/80 | 2001:db8::c1c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:c1c8::/80 | 2001:db8::c1c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:c1c9::/80 | 2001:db8::c1c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:c1ca::/80 | 2001:db8::c1ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:c1cb::/80 | 2001:db8::c1cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:c1cc::/80 | 2001:db8::c1cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:c1cd::/80 | 2001:db8::c1cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:c1ce::/80 | 2001:db8::c1ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:c1cf::/80 | 2001:db8::c1cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:c1d0::/80 | 2001:db8::c1d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:c1d1::/80 | 2001:db8::c1d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:c1d2::/80 | 2001:db8::c1d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:c1d3::/80 | 2001:db8::c1d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:c1d4::/80 | 2001:db8::c1d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:c1d5::/80 | 2001:db8::c1d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:c1d6::/80 | 2001:db8::c1d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:c1d7::/80 | 2001:db8::c1d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:c1d8::/80 | 2001:db8::c1d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:c1d9::/80 | 2001:db8::c1d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:c1da::/80 | 2001:db8::c1da:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:c1db::/80 | 2001:db8::c1db:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:c1dc::/80 | 2001:db8::c1dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:c1dd::/80 | 2001:db8::c1dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:c1de::/80 | 2001:db8::c1de:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:c1df::/80 | 2001:db8::c1df:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:c1e0::/80 | 2001:db8::c1e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:c1e1::/80 | 2001:db8::c1e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:c1e2::/80 | 2001:db8::c1e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:c1e3::/80 | 2001:db8::c1e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:c1e4::/80 | 2001:db8::c1e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:c1e5::/80 | 2001:db8::c1e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:c1e6::/80 | 2001:db8::c1e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:c1e7::/80 | 2001:db8::c1e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:c1e8::/80 | 2001:db8::c1e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:c1e9::/80 | 2001:db8::c1e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:c1ea::/80 | 2001:db8::c1ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:c1eb::/80 | 2001:db8::c1eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:c1ec::/80 | 2001:db8::c1ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:c1ed::/80 | 2001:db8::c1ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:c1ee::/80 | 2001:db8::c1ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:c1ef::/80 | 2001:db8::c1ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:c1f0::/80 | 2001:db8::c1f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:c1f1::/80 | 2001:db8::c1f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:c1f2::/80 | 2001:db8::c1f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:c1f3::/80 | 2001:db8::c1f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:c1f4::/80 | 2001:db8::c1f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:c1f5::/80 | 2001:db8::c1f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:c1f6::/80 | 2001:db8::c1f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:c1f7::/80 | 2001:db8::c1f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:c1f8::/80 | 2001:db8::c1f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:c1f9::/80 | 2001:db8::c1f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:c1fa::/80 | 2001:db8::c1fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:c1fb::/80 | 2001:db8::c1fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:c1fc::/80 | 2001:db8::c1fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:c1fd::/80 | 2001:db8::c1fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:c1fe::/80 | 2001:db8::c1fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:c1ff::/80 | 2001:db8::c1ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |